.upcp-thumb-title {min-height:60px;}
.prod-cat a {color:#333333;}
.upcp-thumb-details-link {width: 110px;}

div.upcp-detail-image-div img {max-width: 140px;}

div.clearall {float:left; width:100%; clear:both;}

@media screen and (min-width:650px) {
div.cover-right {float:left; width:65%; margin:0; padding:0;}
div.cover-left {float:left; width:30%; margin: 0 0 0 5%; padding: 0;}
}

.membership-item {letter-spacing: normal; width: 100%; max-height: 120px;}